SQ(1)

NAME
sq key adopt - Bind keys from one certificate to another

SYNOPSIS
sq key adopt [OPTIONS]

DESCRIPTION
Bind keys from one certificate to another.

This command allows the user to attach a primary key or a subkey attached to one certificate to another certificate. Say you want to transition to a new certificate, but have an authentication subkey on your current certificate that you want to keep because it allows access a server and updating its configuration is not feasible. This command makes it easy to attach the subkey to the new certificate.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

--allow-broken-crypto
    Allow adopting keys from certificates using broken cryptography

--cert=CERT_FILE
    Add keys to the specified certificate

--cert-file=CERT_FILE
    Add keys to the specified certificate

--expiration=EXPIRATION
    Make adopted subkeys expire at the given time

-k, --key=KEY
    Add the key or subkey KEY to the certificate

-o, --output=FILE
    Write to the specified FILE.

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import Alice's old key and new key.

    sq key import alice-secret.pgp alice-new-secret.pgp

Have the new certificate adopt Alice's old authentication subkey.

    sq key adopt --cert C5999E8191BF7B503653BE958B1F7910D01F86E5 \
        --key 0D45C6A756A038670FDFD85CB1C82E8D27DB23A1

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)